List Threads

Prev Next
Get
/api/v1/chat.getThreadsList

Get a list of the thread conversations in a room.

Changelog

Version Description
9.0.0 Removed the fields and query parameters.
1.0.0 Added
Header parameters
X-Auth-Token
stringRequired

The authToken of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-Id
stringRequired

The userId of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ
Query parameters
offset
integer

Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the official documentation to learn more.

Example50
count
integer

The number of items to return. Refer to the official documentation to learn more.

Example50
sort

List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, { "value": -1, "_id": 1 }. Refer to the official documentation to learn more.

rid
stringRequired

The room ID.

Example7aDSXtjMA3KPLxLjt
type
string

Filter the thread by type. It can either be:

  • unread: returns the threads you follow which has unread messages.
  • following: returns all the thread you follow.
text
string

Filter the thread list by search term.

Responses
200

OK

Example 1
{
  "threads": [
    {
      "_id": "NZieMNQDEdMDmLLip",
      "rid": "6GFJ3tbmHiyHbahmC",
      "msg": "hola",
      "ts": "2023-10-05T20:30:51.052Z",
      "u": {
        "_id": "rbAXPnMktTFbNpwtJ",
        "username": "roxie",
        "name": "test test"
      },
      "_updatedAt": "2023-10-16T22:57:27.362Z",
      "urls": [],
      "mentions": [],
      "channels": [],
      "md": [
        {
          "type": "PARAGRAPH",
          "value": [
            {
              "type": "PLAIN_TEXT",
              "value": "hola"
            }
          ]
        }
      ],
      "reactions": {
        ":smile:": {
          "usernames": [
            "test.test"
          ]
        }
      },
      "starred": [],
      "pinned": true,
      "pinnedAt": "2023-10-05T20:59:44.433Z",
      "pinnedBy": {
        "_id": "5fRTXMt7DMJbpPJfh",
        "username": "test.test"
      },
      "replies": [
        "rbAXPnMktTFbNpwtJ"
      ],
      "tcount": 2,
      "tlm": "2023-10-16T22:57:27.158Z"
    }
  ],
  "count": 1,
  "offset": 0,
  "total": 1,
  "success": true
}
Expand All
object
threads
Array of object
object
_id
string
rid
string
msg
string
ts
string
u
object
_id
string
username
string
name
string
_updatedAt
string
urls
Array of object
object
mentions
Array of object
object
channels
Array of object
object
md
Array of object
object
type
string
value
Array of object
object
type
string
value
string
reactions
object
:smile:
object
usernames
Array of string
string
starred
Array of object
object
pinned
boolean
pinnedAt
string
pinnedBy
object
_id
string
username
string
replies
Array of string
string
tcount
integer
tlm
string
count
integer
offset
integer
total
integer
success
boolean
401

Unauthorized

Authorization Error
{
  "success": false,
  "error": "You must be logged in to do this."
}
object
success
boolean
error
string